Bug 23791 - Allow granular control of social networks enabled by SocialNetworks syspref
Summary: Allow granular control of social networks enabled by SocialNetworks syspref
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Katrin Fischer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-10-09 22:46 UTC by Andrew Fuerste-Henry
Modified: 2019-10-21 08:57 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00


Attachments
Bug 23791: Allow granular control of social networks enabled by SocialNetworks syspref (9.87 KB, patch)
2019-10-11 19:18 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 23791: (follow-up) Fix database update description (1.21 KB, patch)
2019-10-14 21:40 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 23791: (follow-up) Add missing CSS changes (3.45 KB, patch)
2019-10-17 15:20 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 23791: (follow-up) Add missing CSS changes (3.50 KB, patch)
2019-10-17 23:06 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 23791: Allow granular control of social networks enabled by SocialNetworks syspref (9.93 KB, patch)
2019-10-18 05:54 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 23791: (follow-up) Fix database update description (1.26 KB, patch)
2019-10-18 05:55 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 23791: (follow-up) Add missing CSS changes (3.55 KB, patch)
2019-10-18 05:55 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Fuerste-Henry 2019-10-09 22:46:13 UTC
Librarians would like to be able to turn social networks (and email) on and off individually, rather than as a group.
Comment 1 Owen Leonard 2019-10-11 19:18:42 UTC
Created attachment 94031 [details] [review]
Bug 23791: Allow granular control of social networks enabled by SocialNetworks syspref

This patch updates the SocialNetworks system preference so that it
offers a choice of social networks (and email) which can be enabled in
the OPAC.

This patch also replaces the social network images with Font Awesome
icons styled so that the colors match the social networks' current
branding. The old social networks sprite image is removed.

To test, apply the patch and run the database update. Rebuild the OPAC
CSS:
https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client

 - Go to Administration -> Global system preferences -> OPAC -> Features
   and find the SocialNetworks preference.
   - If your SocialNetworks preference was enabled, all choices should
     be selected. Otherwise none should be selected.
   - If none are selected, select them all and save.
 - Locate a record in the OPAC and view the details page.
 - The social network icons should appear as expected and function as
   before.
 - Return to system preferences in the staff client and try enabling and
   disabling different options, verifying each time that the OPAC
   reflects your choices.
Comment 2 Katrin Fischer 2019-10-14 21:40:32 UTC
Owen, could you have another look please?

Only the Twitter link works for me, the other icons/networks don't show up.

yarn build --view opac was run and also multiple restart all...
Comment 3 Katrin Fischer 2019-10-14 21:40:55 UTC
Created attachment 94107 [details] [review]
Bug 23791: (follow-up) Fix database update description
Comment 4 Owen Leonard 2019-10-17 15:20:17 UTC
Created attachment 94375 [details] [review]
Bug 23791: (follow-up) Add missing CSS changes

This patch adds OPAC CSS changes which were missing from the original
patch. It also adds a missing title attribute to the Twitter link.

To test, apply the patch and regenerate the OPAC SCSS
(https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client).

Follow the previous test plan.
Comment 5 Lucas Gass 2019-10-17 23:06:10 UTC
Created attachment 94379 [details] [review]
Bug 23791: (follow-up) Add missing CSS changes

This patch adds OPAC CSS changes which were missing from the original
patch. It also adds a missing title attribute to the Twitter link.

To test, apply the patch and regenerate the OPAC SCSS
(https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client).

Follow the previous test plan.

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>
Comment 6 Katrin Fischer 2019-10-18 05:54:58 UTC
Created attachment 94380 [details] [review]
Bug 23791: Allow granular control of social networks enabled by SocialNetworks syspref

This patch updates the SocialNetworks system preference so that it
offers a choice of social networks (and email) which can be enabled in
the OPAC.

This patch also replaces the social network images with Font Awesome
icons styled so that the colors match the social networks' current
branding. The old social networks sprite image is removed.

To test, apply the patch and run the database update. Rebuild the OPAC
CSS:
https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client

 - Go to Administration -> Global system preferences -> OPAC -> Features
   and find the SocialNetworks preference.
   - If your SocialNetworks preference was enabled, all choices should
     be selected. Otherwise none should be selected.
   - If none are selected, select them all and save.
 - Locate a record in the OPAC and view the details page.
 - The social network icons should appear as expected and function as
   before.
 - Return to system preferences in the staff client and try enabling and
   disabling different options, verifying each time that the OPAC
   reflects your choices.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 7 Katrin Fischer 2019-10-18 05:55:01 UTC
Created attachment 94381 [details] [review]
Bug 23791: (follow-up) Fix database update description

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 8 Katrin Fischer 2019-10-18 05:55:05 UTC
Created attachment 94382 [details] [review]
Bug 23791: (follow-up) Add missing CSS changes

This patch adds OPAC CSS changes which were missing from the original
patch. It also adds a missing title attribute to the Twitter link.

To test, apply the patch and regenerate the OPAC SCSS
(https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client).

Follow the previous test plan.

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 9 Martin Renvoize 2019-10-21 08:57:30 UTC
Nice work!

Pushed to master for 19.11.00